<?php

// Group config sample
// array( // menu items group
//     'label' => 'General Items',
//     'plain' => false, //optional, by default false - if true, items will be displayed in 1ts level menu
//     'items' => array( //items in group
//         array(
//             'label' => 'Sample Item',
//             'url' => array('/admin/crud/index'), //url config
//             'activateOn' => array(
//                 // descriptions of actions where menu item should be activated
//                 // by default empty, and only url is used for check
//                 array(
//                     'route' => '/\/admin\/crud\/(admin|update|create)/', // regexp for possible routes
//                     'params' => array( // list of $_GET parameters values that should be set for this item. empty by default
//                         'key' => 'value'
//                     ),
//                 ),
//             ),
//             'roles' => array('admin', 'developer'), //array of roles, or comma separated list. by default 'authenticated'
//         ),
//     ),
// ),
return array(
    array(
        'label'=>'Разделы сайта',
        'plain'=>true,
        'items' => array(
            array(
                'label' => 'Разделы сайта',
                'url' => array('/admin/node/index'),
                'activateOn' => array(
                    array('route' => '/admin\/node\//',),
                ),
            ),
        ),
    ),
    array(
        'label' => 'Сайт',
        'plain' => true,
        'items' => array(
            array(
                'label' => 'Страницы',
                'url' => array('/admin/sitePages/index'),
                'activateOn' => array(
                    array('route' => '/admin\/sitePages\//',),
                ),
            ),
            array(
                'label' => 'Сотрудники компании',
                'url' => array('/admin/contact/admin'),
                'activateOn' => array(
                    array('route' => '/admin\/contact\//',),
                ),
            ),
            array(
                'label' => 'Параметры',
                'url' => array('/admin/siteParams/general'),
                'activateOn' => array(
                    array('route' => '/admin\/siteParams\//',),
                ),
            ),
        ),
    ),


    array(
        'label' => 'Сервис',
        'plain' => false,
        'items' => array(
            array(
                'label' => 'Каткгории услуг',
                'url' => array('/admin/serviceCategory/admin'),
                'activateOn' => array(
                    array('route' => '/admin\/serviceCategory\//',),
                ),
            ),
            array(
                'label' => 'Услуги',
                'url' => array('/admin/service/admin'),
                'activateOn' => array(
                    array('route' => '/admin\/service\//',),
                ),
            ),
            array(
                'label' => 'Сервис центры',
                'url' => array('/admin/serviceCenter/admin'),
                'activateOn' => array(
                    array('route' => '/admin\/serviceCenter\//',),
                ),
            ),
            array(
                'label' => 'Страницы раздела',
                'url' => array('/admin/servicePages/index'),
                'activateOn' => array(
                    array('route' => '/admin\/servicePages\//',),
                ),
            ),
            array(
                'label' => 'Параметры раздела',
                'url' => array('/admin/serviceParams/general'),
                'activateOn' => array(
                    array('route' => '/admin\/serviceParams\//',),
                ),
            ),
        ),
    ),

    array(
        'label' => 'Акции',
        'plain' => false,
        'items' => array(
            array(
                'label' => 'Категории акций',
                'url' => array('/admin/actionCategory/admin'),
                'activateOn' => array(
                    array('route' => '/admin\/actionCategory\//',),
                ),
            ),
            array(
                'label' => 'Акции',
                'url' => array('/admin/action/admin'),
                'activateOn' => array(
                    array('route' => '/admin\/action\//',),
                ),
            ),
            array(
                'label' => 'Страницы раздела',
                'url' => array('/admin/actionPages/index'),
                'activateOn' => array(
                    array('route' => '/admin\/actionPages\//',),
                ),
            ),
            array(
                'label' => 'Параметры раздела',
                'url' => array('/admin/actionParams/general'),
                'activateOn' => array(
                    array('route' => '/admin\/actionParams\//',),
                ),
            ),
        ),
    ),

    array(
        'label' => 'Перевод сообщений',
        'plain' => true,
        'items' => array(
            array(
                'label' => 'Перевод сообщений',
                'url' => array('/admin/message/index'),
                'activateOn' => array(
                    array('route' => '/admin\/message\//',),
                ),
            ),
        ),
    ),
    array(
        'label' => 'СТО фильтр',
        'plain' => true,
        'items' => array(
            array(
                'label' => 'СТО фильтр',
                'url' => array('/admin/stoFilter/index'),
                'activateOn' => array(
                    array('route' => '/admin\/stoFilter\//',),
                ),
            ),
        ),
    ),
);